<?php

/**
 * @file
 * Base view of the pdf invoice
 */

$view = new view;
$view->name = 'pdf_invoice';
$view->description = 'PDF Invoice';
$view->tag = '';
$view->view_php = '';
$view->base_table = 'uc_orders';
$view->is_cacheable = FALSE;
$view->api_version = 2;
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
$handler = $view->new_display('default', 'Standards', 'default');
$handler->override_option('fields', array(
  'country_iso_code_2' => array(
    'label' => 'Payer\'s country ISO code (2 characters)',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'id' => 'country_iso_code_2',
    'table' => 'billing_countries',
    'field' => 'country_iso_code_2',
    'override' => array(
      'button' => 'Übersteuern',
    ),
    'relationship' => 'none',
  ),
  'billing_postal_code' => array(
    'label' => 'Payer\'s zip/postal code',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'id' => 'billing_postal_code',
    'table' => 'uc_orders',
    'field' => 'billing_postal_code',
    'override' => array(
      'button' => 'Übersteuern',
    ),
    'relationship' => 'none',
  ),
  'billing_last_name' => array(
    'label' => 'Payer\'s last name',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'id' => 'billing_last_name',
    'table' => 'uc_orders',
    'field' => 'billing_last_name',
    'override' => array(
      'button' => 'Übersteuern',
    ),
    'relationship' => 'none',
  ),
  'billing_first_name' => array(
    'label' => 'Payer\'s first name',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'id' => 'billing_first_name',
    'table' => 'uc_orders',
    'field' => 'billing_first_name',
    'override' => array(
      'button' => 'Übersteuern',
    ),
    'relationship' => 'none',
  ),
  'country_name' => array(
    'label' => 'Payer\'s country name',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'id' => 'country_name',
    'table' => 'billing_countries',
    'field' => 'country_name',
    'override' => array(
      'button' => 'Übersteuern',
    ),
    'relationship' => 'none',
  ),
  'billing_company' => array(
    'label' => 'Payer\'s company',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'id' => 'billing_company',
    'table' => 'uc_orders',
    'field' => 'billing_company',
    'override' => array(
      'button' => 'Übersteuern',
    ),
    'relationship' => 'none',
  ),
  'billing_city' => array(
    'label' => 'Payer\'s city',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'id' => 'billing_city',
    'table' => 'uc_orders',
    'field' => 'billing_city',
    'override' => array(
      'button' => 'Übersteuern',
    ),
    'relationship' => 'none',
  ),
  'billing_street2' => array(
    'label' => 'Payer\'s address line 2',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'id' => 'billing_street2',
    'table' => 'uc_orders',
    'field' => 'billing_street2',
    'override' => array(
      'button' => 'Übersteuern',
    ),
    'relationship' => 'none',
  ),
  'billing_street1' => array(
    'label' => 'Payer\'s address line 1',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'id' => 'billing_street1',
    'table' => 'uc_orders',
    'field' => 'billing_street1',
    'override' => array(
      'button' => 'Übersteuern',
    ),
    'relationship' => 'none',
  ),
  'nothing' => array(
    'label' => 'Return Address',
    'alter' => array(
      'text' => 'customweb GmbH, Jägerstrasse 2, CH-8604 Winterthur',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 0,
    'id' => 'nothing',
    'table' => 'views',
    'field' => 'nothing',
    'override' => array(
      'button' => 'Übersteuern',
    ),
    'relationship' => 'none',
  ),
  'phpcode' => array(
    'label' => 'Address',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'value' => '[billing_first_name] [billing_last_name] <br />
<?php $company = \'[billing_company]\'; if(!empty($company)) { echo $company.\'<br />\'; } ?> 
[billing_street1] <br />
<?php $street2 = \'[billing_street2]\'; if(!empty($street2)) { echo $street2.\'<br />\'; } ?> 
[country_iso_code_2]-[billing_postal_code] [billing_city]',
    'exclude' => 0,
    'id' => 'phpcode',
    'table' => 'customfield',
    'field' => 'phpcode',
    'relationship' => 'none',
    'override' => array(
      'button' => 'Übersteuern',
    ),
  ),
  'nothing_2' => array(
    'label' => 'Order ID',
    'alter' => array(
      'text' => 'Order ID:',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 0,
    'id' => 'nothing_2',
    'table' => 'views',
    'field' => 'nothing',
    'relationship' => 'none',
  ),
  'order_id' => array(
    'label' => 'Order ID',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_order' => 0,
    'exclude' => 0,
    'id' => 'order_id',
    'table' => 'uc_orders',
    'field' => 'order_id',
    'relationship' => 'none',
  ),
  'nothing_3' => array(
    'label' => 'Order Date',
    'alter' => array(
      'text' => 'Order Date:',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 0,
    'id' => 'nothing_3',
    'table' => 'views',
    'field' => 'nothing',
    'relationship' => 'none',
  ),
  'created' => array(
    'label' => 'Order Creation Date',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'date_format' => 'large',
    'custom_date_format' => '',
    'exclude' => 0,
    'id' => 'created',
    'table' => 'uc_orders',
    'field' => 'created',
    'relationship' => 'none',
  ),
  'include' => array(
    'label' => 'Include View',
    'alter' => array(
      'help' => '',
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'view' => 'pdf_invoice_lines',
    'number_of_args' => '1',
    'args' => array(
      '0' => '[order_id]',
    ),
    'exclude' => 0,
    'id' => 'include',
    'table' => 'view',
    'field' => 'include',
    'relationship' => 'none',
  ),
  'nothing_1' => array(
    'label' => 'Order Total',
    'alter' => array(
      'text' => 'Total:',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 0,
    'id' => 'nothing_1',
    'table' => 'views',
    'field' => 'nothing',
    'relationship' => 'none',
  ),
  'order_total' => array(
    'label' => 'Order total',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'set_precision' => 0,
    'precision' => '0',
    'decimal' => '.',
    'separator' => ',',
    'prefix' => '',
    'suffix' => '',
    'format' => 'uc_price',
    'revision' => 'themed-original',
    'exclude' => 0,
    'id' => 'order_total',
    'table' => 'uc_orders',
    'field' => 'order_total',
    'relationship' => 'none',
  ),
  'page_number' => array(
    'label' => 'Page Number',
    'alter' => array(
      'alter_text' => FALSE,
      'text' => '',
      'make_link' => FALSE,
      'path' => '',
      'alt' => '',
      'link_class' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'trim' => FALSE,
      'max_length' => '',
      'word_boundary' => TRUE,
      'ellipsis' => TRUE,
      'strip_tags' => FALSE,
      'html' => FALSE,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 0,
    'id' => 'page_number',
    'table' => 'pdf',
    'field' => 'page_number',
    'override' => array(
      'button' => 'Override',
    ),
    'relationship' => 'none',
  ),
  'append' => array(
    'label' => 'Append View',
    'alter' => array(
      'alter_text' => FALSE,
      'text' => '',
      'make_link' => FALSE,
      'path' => '',
      'alt' => '',
      'link_class' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'trim' => FALSE,
      'max_length' => '',
      'word_boundary' => TRUE,
      'ellipsis' => TRUE,
      'strip_tags' => FALSE,
      'html' => FALSE,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'url' => 'http://pdf.use-cases.customweb.ch/user/[order_id]/print_tickets',
    'exclude' => 0,
    'id' => 'append',
    'table' => 'views_append',
    'field' => 'append',
    'relationship' => 'none',
    'override' => array(
      'button' => 'Übersteuern',
    ),
  ),
));
$handler->override_option('arguments', array(
  'order_id' => array(
    'default_action' => 'not found',
    'style_plugin' => 'default_summary',
    'style_options' => array(),
    'wildcard' => 'all',
    'wildcard_substitution' => 'Alle',
    'title' => '',
    'breadcrumb' => '',
    'default_argument_type' => 'fixed',
    'default_argument' => '',
    'validate_type' => 'numeric',
    'validate_fail' => 'not found',
    'break_phrase' => 0,
    'not' => 0,
    'id' => 'order_id',
    'table' => 'uc_orders',
    'field' => 'order_id',
    'validate_user_argument_type' => 'uid',
    'validate_user_roles' => array(
      '2' => 0,
    ),
    'override' => array(
      'button' => 'Übersteuern',
    ),
    'relationship' => 'none',
    'default_options_div_prefix' => '',
    'default_argument_fixed' => '',
    'default_argument_user' => 0,
    'default_argument_php' => '',
    'validate_argument_node_type' => array(
      'product' => 0,
      'event' => 0,
      'page' => 0,
      'story' => 0,
    ),
    'validate_argument_node_access' => 0,
    'validate_argument_nid_type' => 'nid',
    'validate_user_restrict_roles' => 0,
    'validate_argument_signup_status' => 'any',
    'validate_argument_signup_node_access' => 0,
    'validate_argument_vocabulary' => array(),
    'validate_argument_type' => 'tid',
    'validate_argument_transform' => 0,
    'validate_argument_php' => '',
  ),
));
$handler->override_option('access', array(
  'type' => 'none',
));
$handler->override_option('cache', array(
  'type' => 'none',
));
$handler = $view->new_display('pdf', 'PDF Page', 'pdf_1');
$handler->override_option('style_plugin', 'pdf_unformatted');
$handler->override_option('style_options', array(
  'mission_description' => FALSE,
  'description' => '',
));
$handler->override_option('row_plugin', 'pdf_fields');
$handler->override_option('row_options', array(
  'formats' => array(
    'nothing' => array(
      'position' => array(
        'object' => 'page',
        'corner' => 'top_left',
        'x' => '100',
        'y' => '30',
        'width' => '',
        'height' => '',
      ),
      'text' => array(
        'font_size' => '7',
        'font_family' => 'default',
        'font_style' => array(
          'u' => 'u',
          'b' => 0,
          'i' => 0,
          'd' => 0,
          'o' => 0,
        ),
        'align' => NULL,
        'color' => '',
      ),
      'render' => array(
        'is_html' => 1,
        'eval_before' => '',
        'eval_after' => '',
      ),
    ),
    'phpcode' => array(
      'position' => array(
        'object' => 'field_nothing',
        'corner' => 'bottom_left',
        'x' => '',
        'y' => '',
        'width' => '',
        'height' => '',
      ),
      'text' => array(
        'font_size' => '',
        'font_family' => 'default',
        'font_style' => NULL,
        'align' => NULL,
        'color' => '',
      ),
      'render' => array(
        'is_html' => 1,
        'eval_before' => '',
        'eval_after' => '',
      ),
    ),
    'nothing_2' => array(
      'position' => array(
        'object' => 'page',
        'corner' => 'top_left',
        'x' => '',
        'y' => '65',
        'width' => '',
        'height' => '',
      ),
      'text' => array(
        'font_size' => '',
        'font_family' => 'default',
        'font_style' => array(
          'b' => 'b',
          'i' => 0,
          'u' => 0,
          'd' => 0,
          'o' => 0,
        ),
        'align' => NULL,
        'color' => '',
      ),
      'render' => array(
        'is_html' => 1,
        'eval_before' => '',
        'eval_after' => '',
      ),
    ),
    'order_id' => array(
      'position' => array(
        'object' => 'field_nothing_2',
        'corner' => 'top_left',
        'x' => '35',
        'y' => '',
        'width' => '',
        'height' => '',
      ),
      'text' => array(
        'font_size' => '',
        'font_family' => 'default',
        'font_style' => NULL,
        'align' => NULL,
        'color' => '',
      ),
      'render' => array(
        'is_html' => 1,
        'eval_before' => '',
        'eval_after' => '',
      ),
    ),
    'nothing_3' => array(
      'position' => array(
        'object' => 'field_nothing_2',
        'corner' => 'bottom_left',
        'x' => '',
        'y' => '',
        'width' => '',
        'height' => '',
      ),
      'text' => array(
        'font_size' => '',
        'font_family' => 'default',
        'font_style' => array(
          'b' => 'b',
          'i' => 0,
          'u' => 0,
          'd' => 0,
          'o' => 0,
        ),
        'align' => NULL,
        'color' => '',
      ),
      'render' => array(
        'is_html' => 1,
        'eval_before' => '',
        'eval_after' => '',
      ),
    ),
    'created' => array(
      'position' => array(
        'object' => 'field_nothing_3',
        'corner' => 'top_left',
        'x' => '35',
        'y' => '',
        'width' => '',
        'height' => '',
      ),
      'text' => array(
        'font_size' => '',
        'font_family' => 'default',
        'font_style' => NULL,
        'align' => NULL,
        'color' => '',
      ),
      'render' => array(
        'is_html' => 1,
        'eval_before' => '',
        'eval_after' => '',
      ),
    ),
    'include' => array(
      'position' => array(
        'object' => 'field_nothing_3',
        'corner' => 'bottom_left',
        'x' => '',
        'y' => '10',
        'width' => '',
        'height' => '',
      ),
      'text' => array(
        'font_size' => '',
        'font_family' => 'default',
        'font_style' => NULL,
        'align' => NULL,
        'color' => '',
      ),
      'render' => array(
        'is_html' => 1,
        'eval_before' => '',
        'eval_after' => '',
      ),
    ),
    'nothing_1' => array(
      'position' => array(
        'object' => 'field_include',
        'corner' => 'bottom_right',
        'x' => '-60',
        'y' => '10',
        'width' => '30',
        'height' => '',
      ),
      'text' => array(
        'font_size' => '',
        'font_family' => 'default',
        'font_style' => array(
          'b' => 'b',
          'i' => 0,
          'u' => 0,
          'd' => 0,
          'o' => 0,
        ),
        'align' => 'R',
        'color' => '',
      ),
      'render' => array(
        'is_html' => 1,
        'eval_before' => '',
        'eval_after' => '',
      ),
    ),
    'order_total' => array(
      'position' => array(
        'object' => 'field_include',
        'corner' => 'bottom_right',
        'x' => '-30',
        'y' => '10',
        'width' => '30',
        'height' => '',
      ),
      'text' => array(
        'font_size' => '',
        'font_family' => 'default',
        'font_style' => array(
          'b' => 'b',
          'i' => 0,
          'u' => 0,
          'd' => 0,
          'o' => 0,
        ),
        'align' => 'R',
        'color' => '',
      ),
      'render' => array(
        'is_html' => 1,
        'eval_before' => '',
        'eval_after' => '',
      ),
    ),
    'page_number' => array(
      'position' => array(
        'object' => 'header_footer',
        'corner' => 'bottom_right',
        'x' => '-10',
        'y' => '',
        'width' => '',
        'height' => '',
      ),
      'text' => array(
        'font_size' => '',
        'font_family' => 'default',
        'font_style' => NULL,
        'align' => NULL,
        'color' => '',
      ),
      'render' => array(
        'is_html' => 1,
        'eval_before' => '',
        'eval_after' => '',
      ),
    ),
    'append' => array(
      'position' => array(
        'object' => 'page',
        'corner' => 'top_left',
        'x' => '',
        'y' => '',
        'width' => '',
        'height' => '',
      ),
      'text' => array(
        'font_size' => '',
        'font_family' => 'default',
        'font_style' => NULL,
        'align' => NULL,
        'color' => '',
      ),
      'render' => array(
        'is_html' => 1,
        'eval_before' => '',
        'eval_after' => '',
      ),
    ),
  ),
  'leading_template' => '0',
  'template' => '0',
  'succeed_template' => '0',
  'template_file' => '',
));
$handler->override_option('path', 'invoice/pdf/%');
$handler->override_option('menu', array(
  'type' => 'none',
  'title' => '',
  'description' => '',
  'weight' => 0,
  'name' => 'navigation',
));
$handler->override_option('tab_options', array(
  'type' => 'none',
  'title' => '',
  'description' => '',
  'weight' => 0,
  'name' => 'navigation',
));
$handler->override_option('displays', array());
$handler->override_option('sitename_title', FALSE);
$handler->override_option('default_page_format', 'A4');
$handler->override_option('default_page_format_custom', '');
$handler->override_option('default_page_orientation', 'P');
$handler->override_option('unit', 'mm');
$handler->override_option('margin_left', '15');
$handler->override_option('margin_right', '15');
$handler->override_option('margin_top', '15');
$handler->override_option('margin_bottom', '15');
$handler->override_option('leading_template', '0');
$handler->override_option('template', '');
$handler->override_option('succeed_template', '0');
$handler->override_option('default_font_family', 'helvetica');
$handler->override_option('default_font_style', array(
  'b' => 0,
  'i' => 0,
  'u' => 0,
  'd' => 0,
  'o' => 0,
));
$handler->override_option('default_font_size', '10');
$handler->override_option('default_text_align', 'L');
$handler->override_option('default_font_color', '000000');

